using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models.Models
{
    /// <summary>
    /// RCU 缓存表
    /// </summary>
    [Table("TBL_RCU_ERR_LIST")]
    public class TBL_RCU_ERR_LIST
    {
        /// <summary>
        /// ID
        /// </summary>
        [Key, Column(TypeName = "int"), Comment("ID,自增长"), DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        /// <summary>
        /// MAC
        /// </summary>
        [Required, Column(TypeName = "nvarchar(50)"), Comment("MAC，唯一性")]
        public string MAC { get; set; }

        /// <summary>
        /// UUID
        /// </summary>
        [Required, Column(TypeName = "nvarchar(50)"), Comment("UUID，唯一性")]
        public string UUID { get; set; }


        /// <summary>
        /// 外网ip
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment(" 公网ip")]
        public string PUBLIC_IP { get; set; }


        /// <summary>
        /// 内网ip
        /// </summary>
        [Column(TypeName = "nvarchar(50)"), Comment("内网ip")]
        public string INTEANL_IP { get; set; }

        /// <summary>
        /// 端口号
        /// </summary>
        [Column(TypeName = "INT"), Comment("公网端口号")]
        public int PUBLIC_PROT { get; set; }

        /// <summary>
        /// 通讯端口号
        /// </summary>
        [Column(TypeName = "INT"), Comment("UDP通讯端口号")]
        public int UDP_PROT { get; set; }


        /// <summary>
        /// 记录最后一次通讯时间
        /// </summary>
        [Column(TypeName = "datetime"), Comment("记录最后一次通讯时间")]
        public DateTime COMM_TIMEMARK { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column(TypeName = "datetime"), Comment("创建时间")]
        public DateTime DATETIME { get; set; }
    }
}
